## setserial 2.12-2

=== Makefile ===
# setserial.mk - makefile for setserial - rick sladkey
# modified by Michael K. Johnson, johnsonm@stolaf.edu
# debianized by Gordon Russell, g.russell@dcs.napier.ac.uk

CC = gcc
CFLAGS = -O

all: setserial setserial.cat

setserial: setserial.c
	$(CC) $(CFLAGS) setserial.c -o setserial

setserial.cat: setserial.8
	nroff -man setserial.8 > setserial.cat

install: setserial
	install -g root -m 755 -o root -s setserial   $(DESTDIR)/bin
	install -g root -m 644 -o root    setserial.8 $(DESTDIR)/usr/man/man8
	@ARCH=`dpkg --print-architecture`;\
	if [ $${ARCH} == "m68k" ] ;\
        then echo "Building for 680x0 series";\
	  echo install -g root -m 755 -o root    rc.serial.m68k   $(DESTDIR)/etc/rc.boot/0setserial ;\
	  install -g root -m 755 -o root    rc.serial.m68k   $(DESTDIR)/etc/rc.boot/0setserial ;\
        else \
	  echo "Building for non-680x0 series";\
	  echo install -g root -m 755 -o root    rc.serial   $(DESTDIR)/etc/rc.boot/0setserial ;\
	  install -g root -m 755 -o root    rc.serial   $(DESTDIR)/etc/rc.boot/0setserial ;\
        fi

clean:
	rm -f setserial setserial.o setserial.cat *~

=== debian/changelog ===
setserial (2.12-2) unstable; urgency=low

  * Fixed bug #7685

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 27 Feb 1997 12:35:47 +0000

setserial (2.12-1) unstable; urgency=low

  * New upstream version. I have tried to repatch this release with the
  *   changes from previous debian releases, but some things have changed
  *   and I am not 100ure I have them all

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 19 Feb 1997 09:47:44 +0000

setserial (2.10-12) unstable; urgency=low

  * m68k packages will have a different 0setserial config file
  * Support for serial devices defined in m68k machines added

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 13 Feb 1997 09:47:44 +0000

setserial (2.10-11) unstable; urgency=low

  * Due to the number of bug reports concerning bootup failures during setserial,
  * I have removed all but com1 and 2 from the automatic configuration process. I
  * suggest that if you have a more complex setup, you edit this file by hand.
  * Com[1-2] is set to the standard port and irq, but uart probing is still done

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Thu, 23 Jan 1997 15:36:40 +0000

setserial (2.10-10) unstable; urgency=low

  * Added tests to make sure their is a serial module driver loaded
  * Switched to the new source layout

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-9) unstable; urgency=low

  * Brought the Debian maintenance files up to date.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-8) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-7) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-6) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-5) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-4) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-3) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-j) unstable; urgency=low

  * Bug fixes in the maintenance files

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 12:23:53 +0000

setserial (2.10-1) unstable; urgency=low

  * Initial Release.

 -- Gordon Russell <g.russell@dcs.napier.ac.uk>  Wed, 22 Jan 1997 11:22:25 +0000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: setserial
Section: base
Priority: required
Maintainer: Gordon Russell <g.russell@dcs.napier.ac.uk>
Standards-Version: 2.1.2.2

Package: setserial
Architecture: any
Depends: ${shlibs:Depends}
Description: Controls configuration of serial ports.
 Set and/or report the configuration information
 associated with a serial port. This information includes what I/O
 port and which IRQ a particular serial port is using.
 .
 By default, only COM1-4 are configured by the kernel, using IRQ 3 and 4.
 If you have other serial ports (such as an AST Fourport card), or
 if you have mapped the IRQs differently (perhaps COM3 and 4 to other
 IRQs to allow concurrent access with COM1 and 2) then you must have this
 package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
 # my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=setserial

build:
	$(checkdir)
	if [ -x configure ]; then ./configure --prefix=/usr; fi
	make CFLAGS="-O2"

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp;install -d `cat ../dirs`
	if [ -x configure ]; then make install prefix=`pwd`/debian/tmp/usr ;\
	else \
		make install DESTDIR=`pwd`/debian/tmp; \
	fi
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## setserial 2.17

=== debian/changelog ===
setserial (2.17-58) unstable; urgency=medium

  * MR from Niels Thykier to fix the rootless build issue
    for sparc as well. Thanks a lot for taking care of this.
  * add ca.po (Closes: #1101659)
    Thanks to Carles Pina i Estany for the translation.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 04 May 2025 18:30:09 +0200

setserial (2.17-57) unstable; urgency=medium

  * MR from Niels Thykier to fix the rootless build issue
    thanks a lot for taking care of this
    (Closes: #1089431)
  * debian/control: remove outdated paragraph from description
                    (Closes: #1082964)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 01 Jan 2025 18:30:09 +0100

setserial (2.17-56) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1086867)
    + Let dh_auto_configure pass --host to configure.
    + Fix build vs host confusion.
    + Fix lack of error trapping. (Policy violation)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 06 Nov 2024 23:30:09 +0100

setserial (2.17-55) unstable; urgency=medium

  * debian/rules: use autoreconf (Closes: #1075505)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Jul 2024 09:39:00 +0200

setserial (2.17-54) unstable; urgency=medium

  * add 20_implicit.patch (Closes: #1066477)
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/control: use dh13
  * Move setserial to /usr/bin. (Closes: #1063697)
    (thanks a lot to Helmut Grohne for the patch)
  * add ro.po (Closes: #1033718)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 17 Mar 2024 09:39:00 +0100

setserial (2.17-53) unstable; urgency=medium

  * update watch file
  * debian/control: Standards version moved to 4.5.0 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Dec 2020 00:39:00 +0100

setserial (2.17-52) unstable; urgency=medium

  * debian/control: ass salsa VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 28 Feb 2019 19:39:00 +0100

setserial (2.17-51) sid; urgency=medium

  * debian/control: Standards version moved to 4.3.0 (no changes)
  * debian/control: use dh11
  * debian/control: remove dependency for autotools-dev and dh-systemd
  * debian/control: replace prio extra by optional
  * debian/rules: do not use dh_systemd_enable
  * debian/rules: remove get-orig-source target
  * Fix FTCBFS: Export a triplet-prefixed CC (Closes: #876159)
    (Thanks to Helmut Grohne for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Jan 2019 15:39:00 +0100

setserial (2.17-50) unstable; urgency=medium

  * ack NMU, thanks to Martin Pitt and Christian Hofstaedtler for
    taking care of this
  * debian/control: add dependency to lsb-base (Closes: #850762)
  * debian/postrm: take care of old files (Closes: #830887)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Jan 2017 15:39:00 +0100

setserial (2.17-49.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Martin Pitt ]
  * 10_rc_etc_setserial.patch: Change etc-setserial's "checkfs" dependency to
    $local_fs, and drop initscripts dependency. (Closes: #804964)

  [ Christian Hofstaedtler ]
  * Drop empty /etc/modutils directory.
  * Install etc-setserial.service wrapping the etc-setserial init script.
    (Closes: #826132)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 02 Jul 2016 11:11:55 +0200

setserial (2.17-49) unstable; urgency=medium

  * as upstream archive vanished, watch file is useless
  * debian/control: Homepage: is gone as well
  * debian/control: Standards version moved to 3.9.6 (no changes)
  * debian/control: add initscripts to dependencies (Closes: #734496)
  * on request of lintian add sourcing of /lib/lsb/init-functions to both
    init scripts
  * Add debian/setserial.service systemd unit, mostly to relax the very
    demanding Before=sysinit.target plus After=remote-fs.target combination
    resulting from the init.d script's $remote_fs dependency. This can easily
    cause dependency loops when using NFS and NetworkManager.
    (Closes: #786976, LP: #1452644)
    (Closes: #761951)
    Thanks to Martin Pitt for providing the patch!
  * Add dh-systemd build dependency and call dh_systemd_enable in
    debian/rules.
    Thanks to Martin Pitt for providing the patch!

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 22 Sep 2015 23:00:00 +0200

setserial (2.17-48) unstable; urgency=low

  * new maintainer (Closes: #636122)
  * debian/watch: added
  * debian/rules: add hardening flags
  * debian/rules: modutils disappeared from Debian (Closes: #518313)
  * debian/rules: target get-orig-source added
  * debian/config: set -e moved from header to body of script
  * debian/postinst: set -e moved from header to body of script
  * debian/postinst: use default runlevel arguments for start and stop
  * debian/post*: do not use update-modules anymore (Closes: #468420)
  * debian/patches: add hardening flags
  * debian/patches: change /etc/init.d/setserial to properly report
                    handling by kernel (Closes: #375276)
  * debian/patches: add status parameter for rc-files
  * debian/control: add some kind of homepage

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 02 Jul 2012 18:00:00 +0200

setserial (2.17-47) unstable; urgency=low

  * QA upload.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #664320).
  * Update to Standards-Version to 3.9.3.1 and debhelper to 9.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 28 Mar 2012 22:16:35 +0300

setserial (2.17-46) unstable; urgency=low

  * Added README.source
  * Changed obsolete dpkg option (Closes: #566105)
  * Added Italian translation (Closes: #556032, #627138)
  * new standards version
  * orphaned package

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sat, 11 Jun 2011 11:56:18 +0200

setserial (2.17-45.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix encoding for Danish debconf translation.

 -- Christian Perrier <bubulle@debian.org>  Wed, 12 Jan 2011 07:28:50 +0100



=== debian/control ===
Source: setserial
Section: comm
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, po-debconf
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/alteholz/setserial
Vcs-Git: https://salsa.debian.org/alteholz/setserial.git

Package: setserial
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
       , lsb-base (>=3.0-6)
Description: controls configuration of serial ports
 setserial is a program which allows you to look at and change various
 attributes of a serial device.
 .
 This version has a completely new approach to configuration.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 1994,1995 by Ian Jackson, 1998 Christoph Lameter
# debian/rules for setserial, by Gordon Russell.


include /usr/share/dpkg/architecture.mk

DESTDIR = $(CURDIR)/debian/setserial
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

build: stamp-build
stamp-build:
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	autoupdate
	dh_autoreconf
	dh_auto_configure
	# make both m68k 2.2 and 2.4+ kernels work effectively
	#
	rm -f gorhack.h
	if test -r /usr/include/linux/m68kserial.h ; then \
	  touch gorhack.h; \
	else \
	  echo "#undef __mc68000__" > gorhack.h ; \
	fi
	$(MAKE) setserial CFLAGS="-O2 $(CFLAGS)" LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)"
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f config.sub config.guess
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f gorhack.h setserial.8
	dh_autoreconf_clean
	dh_clean stamp-build

build-arch: build
build-indep: build

binary-indep:
# There are no architecture-independent packages here.

binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep

	dh_installdirs
	install -m 755    setserial   $(DESTDIR)/usr/bin
	install -m 644	  setserial.8 \
		$(DESTDIR)/usr/share/man/man8/setserial.8
ifeq ($(DEB_HOST_ARCH),m68k)
	echo "Using rc.serial.m68k"
	install -m 755    rc.serial.m68k \
		$(DESTDIR)/etc/init.d/setserial
else
	echo "Using rc.serial"
	install -m 755   rc.serial \
		$(DESTDIR)/etc/init.d/setserial
	install -m 755   rc.etc-setserial \
		$(DESTDIR)/etc/init.d/etc-setserial
	install -m 644   serial.conf $(DESTDIR)/usr/share/doc/setserial/serial.conf
	  # #518313, not used anymore: install -m 644    debian/setserial.modutils $(DESTDIR)/etc/modutils/setserial
endif
ifeq ($(DEB_HOST_ARCH),sparc)
	install -m 644    serial.conf.sparc $(DESTDIR)/usr/share/doc/setserial/serial.conf
endif

	# Lintian overrides
	cd debian ; \
	for f in *.lintian-overrides ; do \
	  [ -r "$$f" ] && { \
	    mkdir -p "$${f%%.lintian-overrides}/usr/share/lintian/overrides" ;\
	    install  -m 644 "$$f" "$${f%%.lintian-overrides}/usr/share/lintian/overrides/$${f%%.lintian-overrides}" ;\
	  } ;\
	done

	dh_installdocs README pcmcia.repair
	dh_installchangelogs
	dh_installdebconf
	dh_installsystemd
	dh_installsystemd --name=etc-setserial
#	dh_systemd_enable
#	dh_systemd_enable --name=etc-setserial
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary binary-arch binary-indep

=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Release/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

# upstream archive seems to be gone
#version=3
#opts=pasv \
#ftp://ftp.mcc.ac.uk/pub/linux/sources/sbin/setserial-(.+)\.tar\.gz

## setserial 2.17-44

=== debian/control ===
Source: setserial
Section: comm
Priority: extra
Maintainer: Jonas Genannt <jonas.genannt@capi2name.de>
Uploaders: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper (>= 4.1.16), autotools-dev, po-debconf
Standards-Version: 3.7.2

Package: setserial
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: controls configuration of serial ports
 Set and/or report the configuration information associated with
 a serial port. This information includes what I/O port and which IRQ
 a particular serial port is using.
 .
 This version has a completely new approach to configuration, so if you
 have a setup other than the standard ttyS0 and 1, you will have to get
 your hands dirty.
 .
 By default, only COM1-4 are configured by the kernel, using IRQ 3 and 4.
 If you have other serial ports (such as an AST Fourport card), or
 if you have mapped the IRQs differently (perhaps COM3 and 4 to other
 IRQs to allow concurrent access with COM1 and 2) then you must have this
 package.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 1994,1995 by Ian Jackson, 1998 Christoph Lameter
# debian/rules for setserial, by Gordon Russell.

DESTDIR = $(CURDIR)/debian/setserial
arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

build: stamp-build
stamp-build:
	dh_testdir
	./configure --prefix=/usr
	# make both m68k 2.2 and 2.4+ kernels work effectively
	#
	rm -f gorhack.h
	if test -r /usr/include/linux/m68kserial.h ; then \
	  touch gorhack.h; \
	else \
	  echo "#undef __mc68000__" > gorhack.h ; \
	fi
	$(MAKE) setserial CFLAGS="-O2"
	touch $@

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f gorhack.h
	dh_clean stamp-build
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess

binary-indep:
# There are no architecture-independent packages here.

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k

	dh_installdirs
	install -g root -m 755 -o root -s setserial   $(DESTDIR)/bin
	install -g root -m 644 -o root    setserial.8 \
		$(DESTDIR)/usr/share/man/man8/setserial.8
	echo ${arch}
	if [ "${arch}" = "m68k" ] ; then \
	  echo "Using rc.serial.m68k" ;\
	  install -g root -m 755 -o root    rc.serial.m68k \
		$(DESTDIR)/etc/init.d/setserial ; \
	else \
	  echo "Using rc.serial" ;\
	  install -g root -m 755 -o root  rc.serial \
		$(DESTDIR)/etc/init.d/setserial ; \
	  install -g root -m 755 -o root  rc.etc-setserial \
		$(DESTDIR)/etc/init.d/etc-setserial ; \
	  install -g root -m 644 -o root    serial.conf $(DESTDIR)/usr/share/doc/setserial/serial.conf ;\
	  install -g root -m 644 -o root    debian/setserial.modutils $(DESTDIR)/etc/modutils/setserial ;\
	fi
	if [ "${arch}" = "sparc" ] ; then \
	  install -g root -m 644 -o root    serial.conf.sparc $(DESTDIR)/usr/share/doc/setserial/serial.conf ;\
	fi

	dh_installdocs README pcmcia.repair
	dh_installchangelogs
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary binary-arch binary-indep
